Retrieves all commodities, optionally filtered by organizational hierarchy or in-use status
Use this endpoint to get a list of all commodities. Supports filtering by topmost cost center,
topmost collection, topmost place, or account to return only commodities in use at or below that node.
The inUse filter cannot be combined with the organizational hierarchy filters.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Query Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| filter | Optional commodity filter supporting organizational hierarchy and in-use filters | string (string) | Optional |
Filters
| Filter | Description | Type | Operators |
|---|---|---|---|
| accountId | Integer | equals | |
| commodityCategoryInfo | Commodity Category Name | String | equals not equals one of like not like not one of |
| commodityInfo | Commodity Name | String | equals not equals one of like not like not one of |
| inUse | Commodity In Use | Boolean | equals |
| topmostCollectionId | Integer | equals | |
| topmostCostCenterId | Integer | equals | |
| topmostPlaceId | Integer | equals |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
Array of:
CommodityResponse
| Property | Description | Type | |||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| abbreviation | Three letter abbreviation code to represent the commodity | string | |||||||||||||||||||||||||||||||||||||||||||||
| commodityCategory | CommodityCategory | ||||||||||||||||||||||||||||||||||||||||||||||
|
CommodityCategory properties
|
|||||||||||||||||||||||||||||||||||||||||||||||
| commodityCode | The commodity code | string | |||||||||||||||||||||||||||||||||||||||||||||
| commodityId | The commodity identifier | integer (int32) | |||||||||||||||||||||||||||||||||||||||||||||
| commodityInfo | The commodity info | string | |||||||||||||||||||||||||||||||||||||||||||||
| demandRollupUnit | UnitChild | ||||||||||||||||||||||||||||||||||||||||||||||
|
UnitChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||
| description | The commodity description | string | |||||||||||||||||||||||||||||||||||||||||||||
| energyReportingUnitConversionMultiplier | The multiplier to convert from the commodity rollup unit to the energy use reporting unit | number (double) | |||||||||||||||||||||||||||||||||||||||||||||
| icon | Icon | ||||||||||||||||||||||||||||||||||||||||||||||
|
Icon properties
|
|||||||||||||||||||||||||||||||||||||||||||||||
| inUse | Indicates if the commodity is in use on a meter/emissions source | boolean | |||||||||||||||||||||||||||||||||||||||||||||
| includeInEnergyReporting | Indicates if the commodity should be included in Energy reporting | boolean | |||||||||||||||||||||||||||||||||||||||||||||
| isSystemCommodity | Indicates if the commodity is a system-level commodity | boolean | |||||||||||||||||||||||||||||||||||||||||||||
| useRollupUnit | UnitChild | ||||||||||||||||||||||||||||||||||||||||||||||
|
UnitChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||
Example Response
[
{ "abbreviation": "string", "commodityCategory": { "commodityCategoryId": 1, "commodityCategoryInfo": "string", "commonDemandUnit": {}, "commonUseUnit": {}
}, "commodityCode": "string", "commodityId": 1, "commodityInfo": "string", "demandRollupUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "description": "string", "energyReportingUnitConversionMultiplier": 1.0, "icon": { "code": "string", "color": "string"
}, "inUse": false, "includeInEnergyReporting": false, "isSystemCommodity": false, "useRollupUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}
}
]